/*
 * RS485_fifo.h
 *
 *  Created on: 29 pa 2015
 *      Author: SK
 */

#ifndef RS485_FIFO_H_
#define RS485_FIFO_H_


#define TX_BUF_SIZE		32
#define TX_BUF_MASK		31

#define RX_BUF_SIZE		32
#define RX_BUF_MASK		31

#define DO_485 			GPIO_Pin_11
#define GPIO_485		GPIOA

typedef struct{
	uint8_t RxBuf[RX_BUF_SIZE];
	uint8_t TxBuf[TX_BUF_SIZE];
	uint8_t TxBeg;
	uint8_t TxEnd;
	uint8_t RxBeg;
	uint8_t RxEnd;
	uint8_t ascii_line;
} TBUF;


void USART1_IRQHandler(void);
void USART_SendChar(USART_TypeDef* USARTx, uint8_t Char);
void USART_ftoa(USART_TypeDef* USARTx, float f, char* buffer);
void USART_Puts( USART_TypeDef* USARTx, char *s );
uint8_t USART_ReceiveChar( USART_TypeDef* USARTx );

void SendMode(bool bSend);
void RS485_Configuration(uint32_t baudrate, uint16_t parity);
void RS485Cmd(bool bRxEnable, bool bTxEnable);



#endif /* RS485_FIFO_H_ */
