/*
 * SystemInit.h
 *
 *  Created on: 29 pa 2015
 *      Author: SK
 */

#ifndef SYSTEMINIT_H_
#define SYSTEMINIT_H_

#include <string.h>
#include <stdlib.h>

#include "stm32f10x.h"
#include "stm32f10x_conf.h"		//CMSIS lbr
#include "stm32f10x_it.h"		//funkcje obsugi przerwa		//ToDo: obsuga Tacho + USART1(RS485)
#include "misc.h"

#include "stm32f10x_usart.h"
#include "RS485_fifo.h"

#define LED_GPIO	GPIOA
#define LIVE_LED	GPIO_Pin_1
#define ERR_LED		GPIO_Pin_2
#define NO_STIMER	3

typedef struct{
	uint16_t SoftTimer[NO_STIMER];
	bool TimerFlag;
	uint16_t Threshold;
}TTim;




void RCC_Config(void);
unsigned long int SysTick_Config_Mod(unsigned long int SysTick_CLKSource, unsigned long int Ticks);
void GPIO_Config(void);
void NVIC_Config(void);

void _reverse(char* begin,char* end);
char* _itoa(uint32_t value, char* buffer, int base);



#endif /* SYSTEMINIT_H_ */
